Subject: Re: [RFC] submodule: change submodule.<name>.branch default from master to HEAD

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Mar 2014 13:45:24 -0700

Jens Lehmann <[email-masked]> writes:

> I'd prefer a solution that doesn't change any defaults for the
> checkout use case (again). Maybe it is a better route to revert
> this series, then add tests describing the current behavior for
> checkout submodules as a next step before adding the branch mode
> for rebase and merge users again?

Sounds like a good idea to revert the entire series, as that would
give us longer to think the whole thing through.  It would certainly
avoid unexpected fallout in 2.0 where we already have other changes,
all of which are known/designed to be backward incompatible with a
set of carefully planned transition plans.  This submodule change
may have meant well, but does not seem to sit well together with
these other changes.

Perhaps in 2.1 or 2.2.